> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves a list of data products

> Retrieves a list of available data products for the specified user roles.



## OpenAPI

````yaml get /api/dataproduct
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/dataproduct:
    get:
      tags:
        - Data products
      summary: Retrieves a list of data products
      description: >-
        Retrieves a list of available data products for the specified user
        roles.
      operationId: get_dataproducts_api_dataproduct_get
      responses:
        '200':
          description: Retrieved views successfully.
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ViewModel'
                type: array
                title: Response Get Dataproducts Api Dataproduct Get
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    ViewModel:
      properties:
        id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Id
          description: Unique ID of the view.
        name:
          type: string
          title: Name
          description: Name of the view.
        role_name:
          type: string
          title: Role Name
          description: Role associated with this view.
        query:
          type: string
          title: Query
          description: SQL query or definition of the view.
        is_view:
          type: boolean
          title: Is View
          description: Flag indicating if this record is a view.
          default: true
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The view creation timestamp.
        created_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By
          description: The view creator's email address or identifier.
        external_id:
          anyOf:
            - type: string
            - type: 'null'
          title: External Id
          description: Optional external identifier for the view.
      type: object
      required:
        - name
        - role_name
        - query
      title: ViewModel
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````